Bug 1480048 - [abrt] cups: strlen(): commandtops killed by signal 11 [NEEDINFO]
[abrt] cups: strlen(): commandtops killed by signal 11
Status: NEW
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c39a27fb1a3a6c55aab638a6b6c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 22:02 EDT by bedny
Modified: 2017-08-14 06:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zdohnal: needinfo? (bedny)


Attachments (Terms of Use)
File: backtrace (15.96 KB, text/plain)
2017-08-09 22:03 EDT, bedny
no flags Details
File: cgroup (253 bytes, text/plain)
2017-08-09 22:03 EDT, bedny
no flags Details
File: core_backtrace (1.30 KB, text/plain)
2017-08-09 22:03 EDT, bedny
no flags Details
File: cpuinfo (1.08 KB, text/plain)
2017-08-09 22:03 EDT, bedny
no flags Details
File: dso_list (3.45 KB, text/plain)
2017-08-09 22:03 EDT, bedny
no flags Details
File: environ (881 bytes, text/plain)
2017-08-09 22:03 EDT, bedny
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-09 22:03 EDT, bedny
no flags Details
File: maps (16.88 KB, text/plain)
2017-08-09 22:03 EDT, bedny
no flags Details
File: open_fds (1.30 KB, text/plain)
2017-08-09 22:03 EDT, bedny
no flags Details
File: proc_pid_status (1.24 KB, text/plain)
2017-08-09 22:03 EDT, bedny
no flags Details
File: var_log_messages (318 bytes, text/plain)
2017-08-09 22:03 EDT, bedny
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2017-08-09 22:03 EDT, bedny
no flags Details

  None (edit)
Description bedny 2017-08-09 22:02:55 EDT
Version-Release number of selected component:
cups-2.2.2-6.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        Boomaga 128 Sergey Test Page 1 job-uuid=urn:uuid:150964d3-65af-3534-623a-052699cfd1f8 job-originating-host-name=localhost date-time-at-creation= date-time-at-processing= time-at-creation=1502324925 time-at-processing=1502325075 /var/spool/cups/d00128-001
crash_function: strlen
executable:     /usr/lib/cups/filter/commandtops
journald_cursor: s=860dfc7019744f6ab5ae25988b0e2def;i=2fdba;b=9b331658c5eb433a9e612297b9201867;m=8c2a4d1e8;t=5565b507c6fc0;x=2cd0bed8c71d9309
kernel:         4.11.11-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            4

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 _IO_fputs at iofputs.c:33
 #2 begin_ps at commandtops.c:424
 #3 report_levels at commandtops.c:506
Comment 1 bedny 2017-08-09 22:03:04 EDT
Created attachment 1311489 [details]
File: backtrace
Comment 2 bedny 2017-08-09 22:03:05 EDT
Created attachment 1311490 [details]
File: cgroup
Comment 3 bedny 2017-08-09 22:03:07 EDT
Created attachment 1311491 [details]
File: core_backtrace
Comment 4 bedny 2017-08-09 22:03:08 EDT
Created attachment 1311492 [details]
File: cpuinfo
Comment 5 bedny 2017-08-09 22:03:10 EDT
Created attachment 1311493 [details]
File: dso_list
Comment 6 bedny 2017-08-09 22:03:12 EDT
Created attachment 1311494 [details]
File: environ
Comment 7 bedny 2017-08-09 22:03:14 EDT
Created attachment 1311495 [details]
File: limits
Comment 8 bedny 2017-08-09 22:03:16 EDT
Created attachment 1311496 [details]
File: maps
Comment 9 bedny 2017-08-09 22:03:18 EDT
Created attachment 1311497 [details]
File: open_fds
Comment 10 bedny 2017-08-09 22:03:19 EDT
Created attachment 1311498 [details]
File: proc_pid_status
Comment 11 bedny 2017-08-09 22:03:21 EDT
Created attachment 1311499 [details]
File: var_log_messages
Comment 12 bedny 2017-08-09 22:03:23 EDT
Created attachment 1311500 [details]
File: exploitable
Comment 13 Zdenek Dohnal 2017-08-10 07:10:42 EDT
Hi,

thank you for reporting this issue. It seems your ppd file is somewhat corrupted. What printer model do you use? Can you reproduce your issue? If you can, would you mind trying these rpms https://koji.fedoraproject.org/koji/taskinfo?taskID=21146382 , if they solve the issue?
Comment 14 bedny 2017-08-11 09:54:09 EDT
Similar issue listed in https://bugzilla.redhat.com/show_bug.cgi?id=1478537.Updating to qpdf-libs-6.0.0-7.fc26 is enough.
Comment 15 Zdenek Dohnal 2017-08-14 06:50:35 EDT
Hi,

would you mind trying this update https://bodhi.fedoraproject.org/updates/FEDORA-2017-191d7ec089 ?

Note You need to log in before you can comment on or make changes to this bug.